
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>杭电 1087 Super Jumping! Jumping! Jumping! / 憋错料</title>

    <meta name="description" content="杭电 1087 Super Jumping! Jumping! Jumping! http://acm.hdu.edu.cn/showproblem.php?pid=1087 Super Jumping! Jumping! Jumping! Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others) Total Submission(s): 21884    Accepted Submission(s): 9589 Problem Description Nowaday">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">杭电 1087 Super Jumping! Jumping! Jumping!</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>http://acm.hdu.edu.cn/showproblem.php?pid=1087</strong></p>
<h1>Super Jumping! Jumping! Jumping!</h1>
<p><strong>Time Limit: 2000/1000 MS (Java/Others)&nbsp;&nbsp;&nbsp;&nbsp;Memory Limit: 65536/32768 K (Java/Others)</p>
<p>Total Submission(s): 21884&nbsp;&nbsp;&nbsp;&nbsp;Accepted Submission(s): 9589</p>
<p></strong></p>
<p>Problem Description</p>
<p>Nowadays, a kind of chess game called “Super Jumping! Jumping! Jumping!” is very popular in HDU. Maybe you are a good boy, and know little about this game, so I introduce it to<br />
 you now.</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYWNtLmhkdS5lZHUuY24vZGF0YS9pbWFnZXMvMTA4Ny0xLmpwZw==.jpg"><br />
The game can be played by two or more than two players. It consists of a chessboard（棋盘）and some chessmen（棋子）, and all chessmen are marked by a positive integer or “start” or “end”. The player starts from start-point and must jumps<br />
 into end-point finally. In the course of jumping, the player will visit the chessmen in the path, but everyone must jumps from one chessman to another absolutely bigger (you can assume start-point is a minimum and end-point is a maximum.). And all players<br />
 cannot go backwards. One jumping can go from a chessman to next, also can go across many chessmen, and even you can straightly get to end-point from start-point. Of course you get zero point in this situation. A player is a winner if and only if he can get<br />
 a bigger score according to his jumping solution. Note that your score comes from the sum of value on the chessmen in you jumping path.</p>
<p>Your task is to output the maximum value according to the given chessmen list.</p>

<p>Input</p>
<p>Input contains multiple test cases. Each test case is described in a line as follow:</p>
<p>N value_1 value_2 …value_N</p>
<p>It is guarantied that N is not more than 1000 and all value_i are in the range of 32-int.</p>
<p>A test case starting with 0 terminates the input and this test case is not to be processed.</p>
<p>Output</p>
<p>For each case, print the maximum according to rules, and one line one case.</p>

<p>Sample Input</p>
<pre>
3 1 3 2
4 1 2 3 4
4 3 3 2 1
0
</pre>

<p>Sample Output</p>
<pre>
4
10
3
</pre>

<p><strong>这个问题其实就是求最大递增子序列（和最大的递增子序列）的和。</strong></p>
<p>AC代码：</p>
<p><strong></strong></p>
<pre>#include&lt;iostream&gt;
#include&lt;cstring&gt;
#include&lt;cstdio&gt;
using namespace std;

int a[1001];
int sum[1001];

int max(int a,int b)
{
	return a&gt;b?a:b;
}

int main()
{
	int n,i,j,maxs;
	while(~scanf(&quot;%d&quot;,&amp;n),n)
	{
		memset(a,0,sizeof(a));
		memset(sum,0,sizeof(sum));
		for(i=0;i&lt;n;i++)
			scanf(&quot;%d&quot;,&amp;a[i]);
		maxs=sum[0]=a[0];
		for(i=0;i&lt;n;i++)
		{
			sum[i]=a[i];
			for(j=0;j&lt;i;j++)
			{
				if(a[i]&gt;a[j])
				{
					sum[i]=max(sum[j]+a[i],sum[i]);
				}
			}
			maxs=max(maxs,sum[i]);
		}
		printf(&quot;%d\n&quot;,maxs);
	}
	return 0;
}
</pre>
<p><strong></p>
<p></strong></p>
<p><P><A href="http://www.bubuko.com/infodetail-283459.html" rel="external nofollow noreferrer">杭电 1087 Super Jumping! Jumping! Jumping!,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 15:29:19 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e6%9d%ad%e7%94%b5/" title="杭电">杭电</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>杭电 1087 Super Jumping! Jumping! Jumping!的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXQZaw0.html" rel="bookmark">Super Jumping&excl; Jumping&excl; Jumping&excl;杭电1087</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description Problem Description Nowadays, a kind of chess game called “Super Jumping! Jumping! Jumping!” is very popular in HDU. Maybe you are a good boy, and know little about this game, so I introduce it to you now.The game can be played by two or			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pNjZx0.html" rel="bookmark">杭电ACM1087&mdash;&mdash;Super Jumping&excl; Jumping&excl; Jumping&excl;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这题,简单的动态规划,也就是求最大连续子序列的和,是和最大. 知道了这个,就可以很容易的写出代码来了. 状态转移方程:dp[i] = max{ dp[j] } + a[i] ( j &gt;= 0 &amp;&amp; j &lt; i) 有了状态转移方程,一切都是很简单了. 下面的是一次AC的代码: #include &lt;iostream&gt; using namespace std; int main() { int dp[1005], a[1005]; int n, i, j; while(s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzqaq4.html" rel="bookmark">&lbrack;2016-03-27&rsqb;&lbrack;HDU&rsqb;&lbrack;1087&rsqb;&lbrack;Super Jumping&excl; Jumping&excl; Jumping&excl;&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				时间:2016-03-27 15:51:40 星期日 题目编号:[2016-03-27][HDU][1087][Super Jumping! Jumping! Jumping!] 分析:dp[i]表示跳到第i个位置,能拿到的最多分,则dp[i] = max(dp[i] , dp[j] + v[i]) 能从j跳到i 遇到的问题:排序之和,a[1].v &lt;= a[2].v 而不是 a[1].v &lt; a[2].v 所以还是需要判断一下价值 #include &lt;algorithm&gt; #in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xRaA74.html" rel="bookmark">hdu 1087 Super Jumping&excl; Jumping&excl; Jumping&excl;（动态规划DP）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=1087 Super Jumping! Jumping! Jumping! Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 24452    Accepted Submission(s): 10786 Problem Description No			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49LZRb3.html" rel="bookmark">&lbrack;ACM&rsqb; hdu 1087 Super Jumping&excl; Jumping&excl; Jumping&excl; （动态规划）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Super Jumping! Jumping! Jumping! Time Limit : 2000/1000ms (Java/Other)   Memory Limit : 65536/32768K (Java/Other) Total Submission(s) : 6   Accepted Submission(s) : 5 Font: Times New Roman | Verdana | Georgia Font Size: ← → Problem Description Nowada			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVg87z0.html" rel="bookmark">杭电ACM分类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				杭电ACM分类: 1001 整数求和 水题1002 C语言实验题——两个数比较 水题1003 1.2.3.4.5... 简单题1004 渊子赛马 排序+贪心的方法归并1005 Hero In Maze 广度搜索1006 Redraiment猜想 数论:容斥定理1007 童年生活二三事 递推题1008 University 简单hash1009 目标柏林 简单模拟题1010 Rails 模拟题(堆栈)1011 Box of Bricks 简单题1012 IMMEDIATE DECODABILITY			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nkR6N3.html" rel="bookmark">【转】对于杭电OJ题目的分类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[好像博客园不能直接转载,所以我复制过来了..] 1001 整数求和 水题1002 C语言实验题——两个数比较 水题1003 1.2.3.4.5... 简单题1004 渊子赛马 排序+贪心的方法归并1005 Hero In Maze 广度搜索1006 Redraiment猜想 数论:容斥定理1007 童年生活二三事 递推题1008 University 简单hash1009 目标柏林 简单模拟题1010 Rails 模拟题(堆栈)1011 Box of Bricks 简单题1012 IMMEDI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Z1Rbq0.html" rel="bookmark">杭电dp题集，附链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Robberies 点击打开链接 背包;第一次做的时候把概率当做背包(放大100000倍化为整数):在此范围内最多能抢多少钱  最脑残的是把总的概率以为是抢N家银行的概率之和- 把状态转移方程写成了f[j]=max{f[j],f[j-q[i].v]+q[i].money}(f[j]表示在概率j之下能抢的大洋); 正确的方程是:f[j]=max(f[j],f[j-q[i].money]*q[i].v)  其中,f[j]表示抢j块大洋的最大的逃脱概率,条件是f[j-q[i].money]可达,也就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O72rG3.html" rel="bookmark">杭电ACM题目分类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				杭电ACM题目分类 基础题:1000.1001.1004.1005.1008.1012.1013.1014.1017.1019.1021.1028. 1029.1032.1037.1040.1048.1056.1058.1061.1070.1076.1089.1090.1091.1092. 1093.1094.1095.1096.1097.1098.1106.1108.1157.1163.1164.1170.1194.1196. 1197.1201.1202.1205.1219.1234.123			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vxZgM.html" rel="bookmark" class="title">C&num; 取文本左边</a>
					<div>
						/// &lt;summary&gt; /// 取左边文本 /// &lt;/summary&gt; /// &lt;param name=&quot;SumString&quot;&gt;总文本&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWyELb3.html" rel="bookmark" class="title">android自带的浏览器如何下载apk包</a>
					<div>
						============问题描述============ 如题! 目前android上其它的浏览器因为自己做过处理,所以下载没问题.. 可是android自带的浏览器下载有时候下载错误.有时候下载的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgXl6n0.html" rel="bookmark" class="title">一个高效的数组转树结构的算法实现</a>
					<div>
						&lt;?php // [email protected] function addNode(&amp;$node, &amp;$tree) { $node_id = $node['id']; if  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWw96GM.html" rel="bookmark" class="title">C&num;设置textBox只能输入数字（正数，负数，小数）简单实现</a>
					<div>
						/* *设置textBox只能输入数字(正数,负数,小数) */ public static bool NumberDotTextbox_KeyPress(object sender, KeyPres ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDYpOM.html" rel="bookmark" class="title">Python实现的常用排序方法</a>
					<div>
						1.冒泡排序,相邻位置比较大小,将比较大的(或小的)交换位置 def maopao(a):     for i in range(0,len(a)):         for j in range(0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35bLko4.html" rel="bookmark" class="title">mysql之对触发器的操作</a>
					<div>
						1. 为什么要使用触发器? 触发器与函数有些类似,都需要声明,执行.但是触发器的执行不是由程序调用,也不是由手工启动,而是由事件来触发,激活,从而实现执行. 当触发DELETE,INSERT,UPDA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV88Vj3.html" rel="bookmark" class="title">2017香港国际灯饰展</a>
					<div>
						2017香港国际灯饰展展覽日期 :2017年4月6至9日 (星期四至日) 年屆 : 第9屆展出地點 :香港灣仔博覽道一號香港會議展覽中心香港會議展覽中心主辦機構 :香港貿易發展局贊助機構 : 香港工業 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAAow4.html" rel="bookmark" class="title">Tomcat 内存优化设置</a>
					<div>
						vi /tomcat7.0/bin/catalina.sh 开发环境 #!/bin/sh JAVA_OPTS='-Xms128m -Xmx512m -XX:PermSize=128m' 服务器: #! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vQm7R0.html" rel="bookmark" class="title">给source insight添加&period;cc的C&plus;&plus;文件后缀识别（转载）</a>
					<div>
						转自:http://blog.chinaunix.net/uid-9950859-id-99172.html 今天在读mysql代码的时候,发现.cc结尾的文件都没有添加进来,google下了,发现原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1nJEM.html" rel="bookmark" class="title">&lbrack;everydayNote&rsqb; 零零散散不成篇</a>
					<div>
						今天工作中get到的几个零零散散的小知识点: 1. $.noop jquery的函数,表示一个空函数,需要传递一个空函数时可以使用,优于 function(){}的地方在于不会创建一个函数实例,节省内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqrJZ3.html" rel="bookmark" class="title">Android（java）学习笔记248：ContentProvider使用之虚拟短信</a>
					<div>
						1.虚拟短信应用场景:   急着脱身?应付老婆(老公.男女朋友查岗)?   使用虚拟通话短信吧.您只需通过简单设置,软件就会在指定时间会模拟一个“真实”来电或短信来迷惑对方,通过“真实”的证据让对方相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQqPoM.html" rel="bookmark" class="title">Android 用户界面---拖放（Drag and Drop）（二）</a>
					<div>
						拖拽事件监听器和回调方法 View对象既可以用实现View.OnDragListener接口的拖放事件监听器,也可以用View对象的onDragEvent(DragEvent)回调方法来接收拖拽事件. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWLn13.html" rel="bookmark" class="title">个人读后感作业</a>
					<div>
						用专业知识教育人是不够的.通过专业教育,他可以成为一种有用的机器,但是不能成为一个和谐发展的人.要使学生对价值有所理解并且产生热烈的感情,那是最基本的.他必须获得对美和道德上的善恶鲜明的辨别力.否则, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYqrE4.html" rel="bookmark" class="title">【队列】飞盘游戏</a>
					<div>
						Description 杰克是美国某小镇有名的飞盘高手.他掷飞盘的时候有一个习惯,在一叠飞盘中,从第一个飞盘(即位于顶端的飞盘)开始,从上往下依次编号为1,2,...,N.当至少还有两个飞盘的时候,杰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRqj70.html" rel="bookmark" class="title">js中年份、月份下拉框</a>
					<div>
						&lt;select id=&quot;year&quot; style=&quot;width: 100px;&quot;&gt;&lt;/select&gt; &lt;select id=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xB6kz4.html" rel="bookmark" class="title">基于CkEditor实现&period;net在线开发之路（3）常用From表单控件介绍与说明</a>
					<div>
						这一章主要介绍常用From表单控件,如图所示: 红色框框住的就是常用From表单控件.从左到右分别是From,复选框,单选框,文本框,多行文本框,下拉列表,按钮,图片按钮,隐藏文本框,Lable 复选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Zpw2mM.html" rel="bookmark" class="title">Amoeba实现读写分离</a>
					<div>
						一.Amoeba工作原理 二.Amoeba安装及配置详解 下载:     wget  http://iweb.dl.sourceforge.net/project/amoeba/Amoeba%20fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBJ8l0.html" rel="bookmark" class="title">去抵瞿111</a>
					<div>
						随着炎热的夏季到来,广大车主们又开始讨论与季节相关的用车话题了.在过去的一年中,我们也结合高温.暴晒.多雨等夏季气候特点,为大家介绍过相应的用车技巧. http://blog.hexun.com/gr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QoGe20.html" rel="bookmark" class="title">串的顺序存储结构</a>
					<div>
						顺序串的定义 #define MaxSize 100 typedef struct { char data[MaxSize]; int length; }SqString; 串赋值运算算法 #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXRBr4.html" rel="bookmark" class="title">Linux 基础入门----用户及文件权限管理</a>
					<div>
						用户及文件权限管理 实验介绍 1.Linux 中创建.删除用户,及用户组等操作. 2.Linux 中的文件权限设置. 一.Linux 用户管理 Linux 是一个可以实现多用户登陆的操作系统,比如“李 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
